/*
 * Copyright (c) 2008-2009 Motorola, Inc. or its subsidiaries. 
 * All rights reserved.
 *
 * skMenu.js
 * This files contains the functions related to the softkey menu 
 */


/**
 * Initialize the softkey menu   
 */
var listener = webui.softKeys.createListener(); // creates a listener...
listener.handle = handleSoftKeys; // ... and set the 'handleSoftKeys' function to handle softkey click
var skMenu = webui.softKeys.getActiveMenu();
skMenu.addListener(listener);


/**
 * Handles softkeys click
 * 
 * @param action String that defines the clicked item from softkey. 
 *				 Its defined on SKMenu.xml file.
 */
function handleSoftKeys(action) 
{
    if (action == "clear") {
    	clear_all(form1);
    } else if (action == "back") {
    	back();
    } else if (action == "cancel") {
    	cancel();
    } else if (action == "save") {
    	save();
    }
}


/**
 * Loads the menu according to a given context
 *
 * @param context String that defines context of the menu to be loaded. 
 *				 Its defined on SKMenu.xml file.
 */
function loadMenu(context) {
	skMenu = webui.softKeys.loadMenu(context);
	skMenu.addListener(listener);
    webui.softKeys.setActiveMenu(skMenu);
}


/**
 * Action from softkey item that opens the Settings page
 */
function openSettings() {
	
	showSettings();	 
	loadMenu('settings');
}

/**
 * Action from Softkey item that cancels settings and goes back to main screen
 */
function cancel() {

	showDetailedView();
	loadMenu('default');
}

/**
 * Action from Softkey item that saves settings and goes back to main screen
 */
function save() {
	
	saveSettings();
	showDetailedView();
	loadMenu('default');
}